--NR Opus LUA Config Script 240 x 320
print ("******* NR Opus LUA Config Script 240 x 320 *******");
-----------------------------------------------------------------------------------------------------
--  If your LDJ Set Up is on a different machine to the rest of your system then 
--  please set this to the corresponding Girder Plugin Instance number, else set it to -1
-- Use  LDJ_ZoomPlayer_IP to set the location of Zoomplayer on your system, if you do not use 
-- Zoomplayer Set it to nil with no quotation marks

    LDJ_GirderInstance = -1000
    LDJ_ZoomPlayer_IP = "192.168.0.4"
    
    GirderWeatherInstance = -1001

-- If you are lost or do not use LDJ just set it to -1 anyway!
-----------------------------------------------------------------------------------------------------
function SagePlayStateCommand()
    if NetRemote.GetVariable("Sage.PlayState") == "0" then
	NetRemote.ExecuteAction(-1002,0,1,"sage.play");
	NetRemote.ExecuteAction(-1001,0,1,"NR.SagePlayState");
        --NetRemote.SetVariable("Sage.PlayState", "1");
    else
	NetRemote.ExecuteAction(-1002,0,1,"sage.pause");
	NetRemote.ExecuteAction(-1001,0,1,"NR.SagePlayState");
        NetRemote.SetVariable("Sage.PlayState", "0");
    end;
end;

function OnCCFLoad()

    OnGirderReady(function () ConfigureLDJ(4, 12, 7, 215, 120, 93,  LDJ_ZoomPlayer_IP)  end, LDJ_GirderInstance) 
    LDJ_Changer_Device = 'Film'  
    LDJ_Changer_Controls = 'DVD Controls'
    LDJ_ZP_Device = 'Zoom'
    LDJ_ZP_Controls = 'Main'
    LDJ_BigCoverDevice = 'Movies'
    LDJ_BigCoverPanel = 'Selected Item'
        
	OnGirderReady(function ()
		NetRemote.ExecuteAction(-1,0,1,"X10GetCurrentState");    
	end);

	OnGirderReady(function ()
		NetRemote.ExecuteAction((GirderWeatherInstance or -1),0,1,"NR.Checkweather");
--		RefreshRadarImage();
		setweatherimg ("ppc");
		NetRemote.ExecuteAction(-1001,0,1,"NR.SagePlayState");
	end, (GirderWeatherInstance or -1));
	
	RegisterPanelWatch("Power", '*', function () NetRemote.ExecuteAction(-1001,0,1,"X10GetCurrentState") end);
    
	RegisterPanelWatch("PVR", '*', function () NetRemote.ExecuteAction(-1001,0,1,"NR.SagePlayState") end);
	
	RegisterPanelWatch("Weather", '*', function ()
		NetRemote.ExecuteAction((GirderWeatherInstance or -1),0,1,"NR.Checkweather");
		weatherdays();
		setweatherimg ("ppc");
	end);
end;
-----------------------------------------------------------------------------------------------------
print ("******* NR Opus LUA Config Script 240 x 320 Loaded *******");